%define languageenglazy Slovak
%define languagecode    sk
%define lc_ctype        sk_SK

%define upstream_version 20110228

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.%{upstream_version}.1
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2 or GPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            http://www.sk-spell.sk.cx/
Source0:        http://www.sk-spell.sk.cx/files/%{name}-%{upstream_version}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-sk
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{name}-%{upstream_version}

%build
chmod 0644 doc/*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc doc/*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:0.20110228.1-2.mga3
+ Revision: 353701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 1:0.20110228.1-1.mga3
+ Revision: 344427
- sync version with Fedora: 20110228
- update Source0

* Tue Mar 20 2012 kamil <kamil> 1:0.20091213.1-6.mga2
+ Revision: 224844
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 1:0.20091213.1-5.mga2
+ Revision: 209093
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 1:0.20091213.1-4.mga2
+ Revision: 206345
- adapt .spec to the current policies

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.20091213.1-2.mga1
+ Revision: 69084
- imported package hunspell-sk

